<?

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: help_form.inc,v 1.8 2003/08/03 23:51:24 vollmerk Exp $
 $Source: /tmp/maintain/templates/help_form.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Help Form Template
	This is the form for editing/creating a help document

*/
 
// if the ID was found in the database we must be updating it!
if ($conf['help']->id) { $required_action = "update"; }

// if we can't find the ID in the database then we must be making a new help entry
elseif (! $conf['help']->id ) { $required_action = "add"; }
?>
<p><font class="header1">Editing Help Topic: <?= $conf['help']->ident; ?></font> <a href="javascript:Start('<?= $conf['web_path']; ?>/help.php?ident=<? echo $conf['help']->ident; ?>');">[View Document]</a></p>

<form action="<?= $conf['web_path']; ?>/help.php?action=<?= $required_action; ?>" enctype="multipart/form-data" style="Display:inline" method="post">

<? if ($conf['help']->ident) { ?>
 <input type="hidden" name="help_ident" value="<?= $conf['help']->ident; ?>" />
<? } else { ?>
Document Name:<input type="text" name="help_ident" size="25" maxlength="128" /><br /><br />
<? } ?>
<textarea name="help_content" cols="60" rows="25"><?= $conf['help']->content; ?></textarea><br />

<? if ($required_action == "update") { ?>
<input type="submit" value="Update Document" /> 

<? } elseif ($required_action == "add") { ?>
<input type="submit" value="Create Document" />
<? } ?>

</form>

