<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: show_create_cname.inc,v 1.5 2003/12/22 19:43:05 vollmerk Exp $
 $Source: /tmp/maintain/templates/show_create_cname.inc,v $

 This is the template for Cname creation.

*/
?>

<p align="left" class="header1">Manage CNAMES</p>
<p align="left" class="header2">Creating a new CNAME in <?= $conf['zone']->name; ?></p>

<? $conf['help']->display_help("cname_general"); ?>


<form name="edit_cname" style="Display:inline" enctype="multipart/form-data" method="post" action="<?= $conf['web_path']; ?>/create_cname.php">


<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
                <td title="<? $conf['help']->title("cname"); ?>"><? $conf['help']->show_link('cname'); ?> CNAME: </td>
                <td>
                        <input id="name" name="name" value="<?= $name ?>" size="35" />
                        <? $conf['error']->show_message('name'); ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('top_cname'); ?>"><? $conf['help']->show_link('top_cname'); ?>Create CNAME for selected Domain:</td>
		<td><input type="checkbox" onclick="flipField('name');" name="top_cname" value="1" /></td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('domain'); ?>"><? $conf['help']->show_link('domain'); ?> Domain: </td>
                <td><? if ($user->is_admin) { ?><input type="radio" onclick="disableField('admin_domain_id');enableField('domain_id');" name="domain_select" value="user" CHECKED /><? } ?>
                        <? $conf['ui']->show_domain_select($domains, $host->domain->id) ?>
                        <? $conf['error']->show_message('domain'); ?>
                </td>
        </tr>
        <? if ($user->is_admin) { ?>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title("domain"); ?>"><? $conf['help']->show_link("domain"); ?> Admin Domains: </td>
                <td><input type="radio" onclick="disableField('domain_id');enableField('admin_domain_id');" name="domain_select" value="admin" />
                <?
                //if they are a admin allow them to movie it anywhere!
                $admin_domains = $conf['ui']->get_domains("SELECT id FROM domain ORDER BY name ASC");
                $conf['ui']->show_domain_select($admin_domains, $host->domain->id,"admin_domain_id",'disabled');
                ?>
                </td>
        </tr>
        <? } ?>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title("cname_server"); ?>"><? $conf['help']->show_link('cname_server'); ?> Server Name: </td>
                <td>
                        <input name="server" value="<?= $server ?>" size="35" />
                        <? $conf['error']->show_message('server'); ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('ttl'); ?>"><? $conf['help']->show_link('ttl'); ?> TTL:</td>
		<td>
			<? if (!$ttl) { $ttl = $conf['default_cname_ttl']; } ?>
			<input name="ttl" value="<?= $ttl; ?>" size="35" />
			<? $conf['error']->show_message('ttl'); ?>
		</td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
                <td>
			<input type="hidden" name="action" value="create_cname" />
                        <input value="Create New CNAME" type="submit" />&nbsp;&nbsp;<input name="action" value="Cancel" type="submit" />
                </td>
        </tr>
</table>
<? show_template('bborder'); ?>

</form>
<? show_template('footer'); ?>

