<?php

/*

 $Id: show_unused_subnets.inc,v 1.5 2003/12/22 19:43:05 vollmerk Exp $
 $Source: /tmp/maintain/templates/show_unused_subnets.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Unused Subnets Template
	Show a listing of the unused subnets.
	This is special because we don't use the normal view class or
	the cool widget view we've developed.  The data in this bad
	boy is pretty complicated but its still usable.

*/

?>

<p class="header2">Viewing Unused Subnets</p>

<?

show_template('tborder'); 

?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" bgcolor="<?= $conf['color']->bg['body_dark']; ?>">
    		<td title="<? $conf['help']->title("subnet"); ?>">Subnet</td>
    		<td title="<? $conf['help']->title("subnet_netmask"); ?>">Netmask</td>
                <td>Action</td>
	</tr>

<?

foreach ($subnets as $subnet) {

	// since we use the get_available function in lib.php we
	//   get back a funky object that has start & netmask
	//   we want this because we use this object with ip ranges as well
?>

	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($subnet->start); ?></td>
		<td><? $conf['ui']->display_field($subnet->netmask); ?></td>
		<td>
			<a href="<?= $conf['web_path']; ?>/subnet.php?action=Create&subnet_mask=<? echo $subnet->start ?>&netmask=<? echo $subnet->netmask ?>">Create New Subnet with these values</a>
		</td>
	</tr>
<?
} // foreach
?>

</table>

<? show_template('bborder'); ?>

<br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />

