<?php

/*

 $Id: show_vlans.inc,v 1.9 2003/12/22 21:50:46 vollmerk Exp $
 $Source: /tmp/maintain/templates/show_vlans.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Display Many Vlans Template
	Show all of the VLAN's.

*/
?>
<p><font class="header1">Showing all VLAN's</font></p>
<?

show_template('tborder');

// total_items has to be passed in to determine how many page tabs to make
$conf['ui']->show_list_header($total_items);

?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" bgcolor="<?= $conf['color']->bg['body_dark']; ?>">
    		<td>
		<a href = "<?= $conf['web_path'] . "/" . $conf['script']; ?>?action=<? echo $conf['action'] ?>&sort_type=name" title="<? $conf['help']->title("vlan"); ?>">VLAN</a>
		<? if ($user->view->sort_type == "name") { $conf['ui']->show_arrow(); } ?>
		</td>
		<td>
		<a href = "<? echo $conf['script'] ?>?action=<? echo $conf['action'] ?>&sort_type=vlan_id" title="<? $conf['help']->title("vlan_id"); ?>">VLAN ID</a>
		<? if ($user->view->sort_type == "vlan_id") { $conf['ui']->show_arrow(); } ?>
		</td>
                <td>Action</td>
	</tr>

<?

foreach ($vlans as $vlan) {

	if ( $bgcolor == $conf['light_bgcolor'] ) {
		$bgcolor = $conf['dark_bgcolor'];
	}
	else {
		$bgcolor = $conf['light_bgcolor'];
	}
?>

	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
		<td><? $conf['ui']->display_field($vlan->name); ?></td>
		<td><? $conf['ui']->display_field($vlan->vlan_id); ?></td>
		<td>
			<? if ($user->has_access($conf['zone']) ) { ?>
			<a href="<?= $conf['web_path']; ?>/vlan.php?action=edit&vlan_id=<? echo $vlan->id ?>">Edit |</a>&nbsp;
			<a href="<?= $conf['web_path']; ?>/vlan.php?action=delete&id=<? echo $vlan->id ?>"> Delete</a>
			<? } ?>				
		</td>
	</tr>
<?
}
?>
</table>

<?
$conf['ui']->show_list_header($total_items);
show_template('bborder');
?>

