<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: show_zone_workgroup.inc,v 1.2 2003/12/22 17:37:02 vollmerk Exp $
 $Source: /tmp/maintain/templates/show_zone_workgroup.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Zone Workgroup Template
	This tool shows the workgoup --> zone mappings, and allows you to add more
	it requires a $workgroup object
*/

$workgroups = $zone->get_workgroups();

//if we've got zones in this mofo show the bulk view, else just show the adder
if ($workgroups) { 
?>
<p class="header2">Workgroups in <?= $zone->name; ?></p>
<p><? $conf['help']->display_help("zone_workgroup_general"); ?></p>

<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr class="widget-title" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
	<td>Workgroup</td>
	<td>Default?</td>
	<td>Action</td>
</tr>
<? 
foreach ($workgroups as $workgroup) { 
?>

<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
	<td><?= $conf['ui']->display_field($workgroup->name); ?></td>
	<td>
	<? 
	if ($workgroup->is_default($zone->id) == 'true') { echo "Default"; }
	else { echo "Optional"; }
	?>
	</td>
	<td>
		<? if ($user->is_admin) { ?>
		<a href="<?= $conf['web_path']; ?>/workgroup.php?action=show_workgroup&amp;workgroup_id=<?= $workgroup->id; ?>">Edit</a> | 
		<a href="<?= $conf['web_path']; ?>/workgroup.php?action=confirm_zone_workgroup_delete&amp;workgroup_id=<?= $workgroup->id; ?>&amp;zone_id=<?= $zone->id; ?>">Remove from Zone</a>
		<? } else { ?>
		N/A
		<? } ?>	
	</td>
</tr>
<? } //end foreach ?>

</table>
<? show_template('bborder'); ?>
</form>

<? 
} //end if zones
?>
 
<p><? $conf['error']->show_message('zone_workgroup_top'); ?>&nbsp;</p>
<form name="add_zone_workgroup" enctype="multipart/form-data" method="post" action="<?= $conf['web_path']; ?>/zone.php" style="Display:inline">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td colspan="2" class="widget-title">Add a workgroup to this zone</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td title="<? $conf['help']->title('zone'); ?>"><? $conf['help']->show_link('zone'); ?>Zone:</td>
	<td>
        <? $all_workgroups = $conf['ui']->get_workgroups("SELECT id FROM workgroup ORDER BY workgroup.name"); $conf['ui']->show_workgroup_select($all_workgroups, $all_workgroups[0]); ?>
	</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td title="<? $conf['help']->title('workgroup_zone_default'); ?>"><? $conf['help']->show_link('workgroup_zone_default'); ?>Make Default:</td>
	<td>
		<input type="checkbox" name="default" value="true" />
	</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>&nbsp;</td>
	<td>
	<input type="submit" value="Add Workgroup" />&nbsp;&nbsp;&nbsp;
	<input type="hidden" name="zone_id" value="<?= $zone->id; ?>" />
	<input type="hidden" name="action" value="add_workgroup" />
	<input type="submit" name="action" value="Cancel" />
	</td>
</tr>
</table>
<? show_template('bborder'); ?>
</form>
